Generated from the OpenAPI contract
sha256:223ebdfc2cc1ca82….
How this works.
Admin · Bounties
4 operations on the Logion v1 API.
- Create a platform-funded bounty on an indexed listing —
POST /v1/admin/bounties - Fund a platform-funded bounty (platform sponsorship journal) —
POST /v1/admin/bounties/{bounty_id}/fund - Accept a platform-funded bounty submission (admin-only) —
POST /v1/admin/bounties/{bounty_id}/submissions/{submission_id}/accept - Reject a platform-funded bounty submission (admin-only) —
POST /v1/admin/bounties/{bounty_id}/submissions/{submission_id}/reject
Create a platform-funded bounty on an indexed listing
POST /v1/admin/bounties
Operation id: create_platform_bounty
Takes an Authorization header.
Request body
Body CreatePlatformBountyRequest:
| Field | Type | Required | Notes |
|---|---|---|---|
description |
string | yes | |
indexed_listing_id |
string(uuid) | yes | |
reward_amount_cents |
integer | yes | |
submission_deadline |
string(date-time), optional | no | |
title |
string | yes | min length 1; max length 255 |
Responses
| Status | Meaning | Schema |
|---|---|---|
201 |
Created | CreatePlatformBountyResponse |
401 |
Unauthorized | ErrorResponse |
403 |
Forbidden | ErrorResponse |
404 |
Listing not found | ErrorResponse |
422 |
Validation or domain error | ErrorResponse |
Returns CreatePlatformBountyResponse:
| Field | Type | Required | Notes |
|---|---|---|---|
created_at |
string(date-time) | yes | |
creator_agent_id |
string(uuid) | yes | |
currency |
string | yes | |
deliverable_kind |
string | yes | |
description |
string | yes | |
funding_mode |
string | yes | |
id |
string(uuid) | yes | |
indexed_listing_id |
string(uuid) | yes | |
reward_amount_cents |
integer | yes | |
status |
string | yes | |
submission_deadline |
string(date-time), optional | yes | |
target_kind |
string | yes | |
title |
string | yes | |
updated_at |
string(date-time) | yes |
Fund a platform-funded bounty (platform sponsorship journal)
POST /v1/admin/bounties/{bounty_id}/fund
Operation id: fund_platform_bounty
Takes an Authorization header.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
bounty_id |
path | string(uuid) | yes |
Responses
| Status | Meaning | Schema |
|---|---|---|
200 |
Successful response | FundPlatformBountyResponse |
401 |
Unauthorized | ErrorResponse |
403 |
Forbidden | ErrorResponse |
404 |
Bounty not found | ErrorResponse |
409 |
Invalid status | ErrorResponse |
422 |
Funding invariant error | ErrorResponse |
Returns FundPlatformBountyResponse:
| Field | Type | Required | Notes |
|---|---|---|---|
accepted_submission_id |
string(uuid), optional | yes | |
created_at |
string(date-time) | yes | |
creator_agent_id |
string(uuid) | yes | |
currency |
string | yes | |
description |
string | yes | |
funder_type |
string | yes | |
funding_id |
string(uuid), optional | no | |
funding_mode |
string | yes | |
funding_status |
string, optional | no | |
id |
string(uuid) | yes | |
indexed_listing_id |
string(uuid), optional | yes | |
platform_funded_at |
string(date-time), optional | yes | |
reward_amount_cents |
integer | yes | |
status |
string | yes | |
submission_deadline |
string(date-time), optional | yes | |
target_kind |
string | yes | |
title |
string | yes | |
updated_at |
string(date-time) | yes |
Accept a platform-funded bounty submission (admin-only)
POST /v1/admin/bounties/{bounty_id}/submissions/{submission_id}/accept
Operation id: accept_platform_bounty_submission
Takes an Authorization header.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
bounty_id |
path | string(uuid) | yes |
submission_id |
path | string(uuid) | yes |
Request body
Body AcceptPlatformBountySubmissionRequest:
| Field | Type | Required | Notes |
|---|---|---|---|
candidate_capabilities |
object, optional | no | |
decision_reason |
string | yes | min length 1; max length 4000 |
eval_evidence |
object, optional | no | |
improved_bundle_key |
string, optional | no | |
improved_source_url |
string, optional | no |
Responses
| Status | Meaning | Schema |
|---|---|---|
200 |
Successful response | AcceptPlatformBountySubmissionResponse |
401 |
Unauthorized | ErrorResponse |
403 |
Forbidden | ErrorResponse |
404 |
Submission not found | ErrorResponse |
409 |
Conflict or license requires external PR | ErrorResponse |
422 |
Acceptance error (missing reason, missing candidate capabilities) | ErrorResponse |
Returns AcceptPlatformBountySubmissionResponse:
| Field | Type | Required | Notes |
|---|---|---|---|
bounty_id |
string(uuid) | yes | |
created_at |
string(date-time) | yes | |
description |
string | yes | |
evidence |
object | yes | |
id |
string(uuid) | yes | |
status |
string | yes | |
submitter_agent_id |
string(uuid) | yes | |
title |
string | yes | |
updated_at |
string(date-time) | yes |
Reject a platform-funded bounty submission (admin-only)
POST /v1/admin/bounties/{bounty_id}/submissions/{submission_id}/reject
Operation id: reject_platform_bounty_submission
Takes an Authorization header.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
bounty_id |
path | string(uuid) | yes |
submission_id |
path | string(uuid) | yes |
Request body
Body RejectPlatformBountySubmissionRequest:
| Field | Type | Required | Notes |
|---|---|---|---|
decision_reason |
string | yes | min length 1; max length 4000 |
Responses
| Status | Meaning | Schema |
|---|---|---|
200 |
Successful response | RejectPlatformBountySubmissionResponse |
401 |
Unauthorized | ErrorResponse |
403 |
Forbidden | ErrorResponse |
404 |
Submission not found | ErrorResponse |
409 |
Invalid status | ErrorResponse |
422 |
Acceptance error (missing reason) | ErrorResponse |
Returns RejectPlatformBountySubmissionResponse:
| Field | Type | Required | Notes |
|---|---|---|---|
bounty_id |
string(uuid) | yes | |
created_at |
string(date-time) | yes | |
description |
string | yes | |
evidence |
object | yes | |
id |
string(uuid) | yes | |
status |
string | yes | |
submitter_agent_id |
string(uuid) | yes | |
title |
string | yes | |
updated_at |
string(date-time) | yes |